Bug 135736 - cman needs to be able to send AF_CLUSTER messages to self
cman needs to be able to send AF_CLUSTER messages to self
Status: CLOSED CURRENTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: gfs (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christine Caulfield
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-14 15:15 EDT by Jonathan Earl Brassow
Modified: 2010-01-11 21:59 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-19 11:23:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Earl Brassow 2004-10-14 15:15:58 EDT
Description of problem:
Please allow cman to send messages to self.

If my nodeid is 3, I would like to be able to send a message to myself (nodeid 
3):

saddr.scl_nodeid = my_id

sock_sendmsg(...)

Version-Release number of selected component (if applicable):
CVS

How reproducible:
always


Additional info:

Without this ability, the node providing a service will not be able to run that 
service.

In the cluster mirror, a server for the log is designated.  That machine is also a 
client and must be able to comunicate with the server thread.
Comment 1 Christine Caulfield 2004-10-18 11:12:34 EDT
This should work now. Note that if you want to include yourself in a
broadcast message then MSG_BCASTSELF should be added to the flags.

Checking in cnxman.c;
/cvs/cluster/cluster/cman-kernel/src/cnxman.c,v  <--  cnxman.c
new revision: 1.29; previous revision: 1.28
done
Checking in cnxman-socket.h;
/cvs/cluster/cluster/cman-kernel/src/cnxman-socket.h,v  <-- 
cnxman-socket.h
new revision: 1.6; previous revision: 1.5
done
Comment 2 Jonathan Earl Brassow 2004-10-18 16:26:50 EDT
Yes, a machine can now send to itself.

However, after doing a sock_recvmsg, the scl_port # should be set to
the machine the packet was received from.  Instead, it is the machine
doing the receiving who's port is reported.
Comment 3 Christine Caulfield 2004-10-19 08:08:15 EDT
OK try that.

Checking in cnxman-private.h;
/cvs/cluster/cluster/cman-kernel/src/cnxman-private.h,v  <--  cnxman-private.h
new revision: 1.10; previous revision: 1.9
done
Checking in cnxman.c;
/cvs/cluster/cluster/cman-kernel/src/cnxman.c,v  <--  cnxman.c
new revision: 1.30; previous revision: 1.29
done
Comment 4 Jonathan Earl Brassow 2004-10-19 11:23:24 EDT
All good now.
Comment 5 Kiersten (Kerri) Anderson 2004-11-16 14:05:39 EST
Updating version to the right level in the defects.  Sorry for the storm.

Note You need to log in before you can comment on or make changes to this bug.